#!/bin/bash
#SBATCH -A bsc32
#
#
#SBATCH --cpus-per-task=1
#16
#SBATCH -n 1
#SBATCH -t 0-01:00:00
#SBATCH -J ac-postprocessing
#SBATCH -e ./out-logs/ac-postprocessing-%j.err
#SBATCH -o ./out-logs/ac-postprocessing-%j.out
#BSUB -x
#Setup for reformatting of for Aerocom, Domos and CMOR data

module load xarray/0.19.0-foss-2019b-Python-3.7.4
module load pandas/1.3.5-foss-2019b-Python-3.7.4
module load numpy/1.21.6-foss-2019b-Python-3.7.4 
module load dask/2022.2.0-foss-2019b-Python-3.7.4



model_name="GEOS-i33p2"
sim_name="histSST-dust-sp"
datavar="AEROCOM"
expid="a646"

startdate="19900101"
enddate="19901231"
    
indir="/esarchive/exp/ecearth/a646/original_files/19900101/fc00/outputs/"
outdir="/esarchive/scratch/cmeikle/original-data-downloads/aerocom/original_files"




python3 ./reformatting.py -e $enddate -s $startdate -i $indir -o $outdir -v $datavar -x $expid -m $model_name -sn $sim_name
